Bug 206477 - devel/compiz-bcop: Mark Un'BROKEN (make fetchable)
Summary: devel/compiz-bcop: Mark Un'BROKEN (make fetchable)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thomas Zander
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-01-21 23:43 UTC by Chris Hutchinson
Modified: 2016-01-31 06:09 UTC (History)
3 users (show)

See Also:
freebsd-ports: maintainer-feedback+
riggs: merge-quarterly+


Attachments
svn diff to fix devel/compiz-bcop (patch) (647 bytes, patch)
2016-01-21 23:43 UTC, Chris Hutchinson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2016-01-21 23:43:09 UTC
Created attachment 165929 [details]
svn diff to fix devel/compiz-bcop (patch)

Greetings,
I was updating a system, and this port returned BROKEN.
So this pr(1) fixes that;

Changes
MASTER_SITES - adds mirror
removes BROKEN

NOTE: I added the mirror because the original MASTER_SITES
still shows the file in the index listing. But attempts to
retrieve it return 404. So I left it in case the fix the link. :)

I also see it's been broken for over 2 months. Feel free to add
me as maintainer, if need be. :)

OK prove it isn't still BROKEN:

# make extract
===>   compiz-bcop-0.8.8 depends on file: /usr/local/sbin/pkg - found
=> compiz-bcop-0.8.8.tar.bz2 doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch http://releases.compiz.org/0.8.8/compiz-bcop-0.8.8.tar.bz2
fetch: http://releases.compiz.org/0.8.8/compiz-bcop-0.8.8.tar.bz2: Not Found
=> Attempting to fetch http://BSDforge.com/projects/source/devel/compiz-bcop/compiz-bcop-0.8.8.tar.bz2
compiz-bcop-0.8.8.tar.bz2                     100% of   74 kB 3742 kBps 00m00s
===> Fetching all distfiles required by compiz-bcop-0.8.8 for building
===>  Extracting for compiz-bcop-0.8.8
=> SHA256 Checksum OK for compiz-bcop-0.8.8.tar.bz2.

That's it!

Thanks!

--Chris
Comment 1 Daniel Austin 2016-01-24 14:05:11 UTC
looks ok to me...

I don't use compiz anymore so testing things on it is a lot harder for me now.
If you want to take over maintainer for the port (or any of the compiz-based ones), then you're more than welcome to.
Comment 2 Chris Hutchinson 2016-01-25 19:33:48 UTC
(In reply to Daniel Austin from comment #1)
> looks ok to me...
> 
> I don't use compiz anymore so testing things on it is a lot harder for me
> now.
> If you want to take over maintainer for the port (or any of the compiz-based
> ones), then you're more than welcome to.

Thanks for the quick response, Daniel!

@committer, As I use this, I'm happy to be MAINTAINER. Rather than my
revising the patch myself, and (unnecessarily) going through the patch
approval stage, again. Can you assign me as MAINTAINER?

Thanks to all!

--Chris
Comment 3 commit-hook freebsd_committer 2016-01-30 19:04:09 UTC
A commit references this bug:

Author: riggs
Date: Sat Jan 30 19:04:00 UTC 2016
New revision: 407544
URL: https://svnweb.freebsd.org/changeset/ports/407544

Log:
  Fix build (distfile fetch), new maintainer portmaster@bsdforge.com

  PR:		206477
  Submitted by:	portmaster@bsdforge.com
  Approved by:	freebsd-ports@dan.me.uk (previous maintainer)
  MFH:		2016Q1 (build fix blanket)

Changes:
  head/devel/compiz-bcop/Makefile
Comment 4 commit-hook freebsd_committer 2016-01-30 19:12:11 UTC
A commit references this bug:

Author: riggs
Date: Sat Jan 30 19:12:02 UTC 2016
New revision: 407545
URL: https://svnweb.freebsd.org/changeset/ports/407545

Log:
  MFH: r407544

  Fix build (distfile fetch), new maintainer portmaster@bsdforge.com

  PR:		206477
  Submitted by:	portmaster@bsdforge.com
  Approved by:	ports-secteam (build fix blanket),
  		freebsd-ports@dan.me.uk (previous maintainer)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/devel/compiz-bcop/Makefile
Comment 5 Thomas Zander freebsd_committer 2016-01-30 19:22:18 UTC
Daniel, thank you very much for maintaining this port in the past!
Chris, have fun and good take care of it!
Comment 6 Chris Hutchinson 2016-01-31 01:40:35 UTC
(In reply to Thomas Zander from comment #5)
> Daniel, thank you very much for maintaining this port in the past!
> Chris, have fun and good take care of it!

I will! :)


Thanks, Daniel, Thomas!

--Chris